DL_KeyAgreementAlgorithm_DH< ELEMENT, COFACTOR_OPTION > Class Template Reference

Diffie-Hellman key agreement algorithm. More...

`#include <pubkey.h>`

Inheritance diagram for DL_KeyAgreementAlgorithm_DH< ELEMENT, COFACTOR_OPTION >:

## Public Types

typedef ELEMENT | Element
Public Types inherited from DL_KeyAgreementAlgorithm< ELEMENT >
typedef ELEMENT | Element

## Public Member Functions

Element | AgreeWithEphemeralPrivateKey (const DL_GroupParameters< Element > &params, const DL_FixedBasePrecomputation< Element > &publicPrecomputation, const Integer &privateExponent) const
Element | AgreeWithStaticPrivateKey (const DL_GroupParameters< Element > &params, const Element &publicElement, bool validateOtherPublicKey, const Integer &privateExponent) const

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Detailed Description

template<class ELEMENT, class COFACTOR_OPTION>
class DL_KeyAgreementAlgorithm_DH< ELEMENT, COFACTOR_OPTION >

Diffie-Hellman key agreement algorithm.

Definition at line 2141 of file pubkey.h.

## Member Typedef Documentation

## Element

template<class ELEMENT, class COFACTOR_OPTION>

typedef ELEMENT DL_KeyAgreementAlgorithm_DH< ELEMENT, COFACTOR_OPTION >::Element

Definition at line 2144 of file pubkey.h.

## Constructor & Destructor Documentation

## ~DL_KeyAgreementAlgorithm_DH()

template<class ELEMENT, class COFACTOR_OPTION>

virtual DL_KeyAgreementAlgorithm_DH< ELEMENT, COFACTOR_OPTION >::~DL_KeyAgreementAlgorithm_DH | ( |  | ) |

inline virtual

Definition at line 2149 of file pubkey.h.

## Member Function Documentation

## StaticAlgorithmName()

template<class ELEMENT, class COFACTOR_OPTION>

const char * DL_KeyAgreementAlgorithm_DH< ELEMENT, COFACTOR_OPTION >::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 2146 of file pubkey.h.

## AgreeWithEphemeralPrivateKey()

template<class ELEMENT, class COFACTOR_OPTION>

Element DL_KeyAgreementAlgorithm_DH< ELEMENT, COFACTOR_OPTION >::AgreeWithEphemeralPrivateKey | ( | const DL_GroupParameters< Element > & | params,
|  | const DL_FixedBasePrecomputation< Element > & | publicPrecomputation,
|  | const Integer & | privateExponent ) const

inline virtual

Implements DL_KeyAgreementAlgorithm< ELEMENT >.

Definition at line 2151 of file pubkey.h.

## AgreeWithStaticPrivateKey()

template<class ELEMENT, class COFACTOR_OPTION>

Element DL_KeyAgreementAlgorithm_DH< ELEMENT, COFACTOR_OPTION >::AgreeWithStaticPrivateKey | ( | const DL_GroupParameters< Element > & | params,
|  | const Element & | publicElement,
|  | bool | validateOtherPublicKey,
|  | const Integer & | privateExponent ) const

inline virtual

Implements DL_KeyAgreementAlgorithm< ELEMENT >.

Definition at line 2157 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h